{% extends "layout/user.html" %}
{% block page_title %}Imagenes{% endblock %}
{% block title %}Galeria gratuita{% endblock %}
{% block content %}
<div class="card row">
  <form>
    <div class="col s8 m10"><input type="text" name="search" placeholder="Buscar" value="{{search}}"></div>
    <div class="col s4 m2"><p><button class="btn blue"> <i class="fa fa-search"></i></button></p></div>
  </form>
</div>
<div class="row">
  <div class="col s12">
    {% for obj in objs %}
    <div class="col s6 m3">
      <div class="card">
        <div class="card-image">
          <img src="{{obj.image.thumb.url}}">
          <a class="btn-floating halfway-fab waves-effect waves-light blue" href="{% url 'galleries_update' obj.pk %}" title="Actualizar"><i class="fa fa-eye"></i></a>
        </div>
        <form class="center setImage"><input type="number" class="node_id center" placeholder="Código de contenido"><div class="s" data-id="{{obj.pk}}">Establecer</div></form>
      </div>
    </div>
    {% endfor %}
  </div>
  <div class="col s12">
    <ul class="pagination center">
    {% for num in objs.paginator.page_range %}
      {% ifequal num objs.number %}
      <li class="active"><a href="#!">{{ num }}</a></li>
      {% else %}
      <li class="waves-effect"><a href="?page={{ num }}">{{ num }}</a></li>
      {% endifequal %}
    {% endfor %}
    </ul>
  </div>
</div>
{% if request.user.is_superuser %}
<div class="fixed-action-btn">
  <a class="btn-floating btn-large blue darken-2" href="{% url 'galleries_new'  %}" title="Agregar Imagen">
    <i class="fa fa-plus"></i>
  </a>
</div>
{% endif %}
{% endblock %}
{% block js %}
<style type="text/css">.s{cursor: pointer;color:green;}.s:hover{color:#023802;}</style>
<script type="text/javascript">
$(document).ready(function(){
  url_load = "{% url 'set_gallery' %}";
  $(".s").click(function(){
    setImage(url_load, this);
  });
});
function setImage(url, img)
{
  var node_id = $(img).data('id'), gallery_id = $(img).prev().val();
  if (node_id && gallery_id) {
    $.ajax({
      type: "GET",
      url: url,
      dataType: "json",
      data: {gallery_id:node_id, node_id:gallery_id},
      success: function(data)
      {
        Materialize.toast(data.msg, 4000);
      },
      error: function(){
        Materialize.toast(data.msg, 4000);
      }
    });
  }
}
</script>
{% endblock %}